Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#56588 - [gnome-subtitles] Can't launch with Enchant 2.1.2-2

Attached to Project: Community Packages
Opened by maderios (maderios) - Tuesday, 05 December 2017, 12:34 GMT
Last edited by Balló György (City-busz) - Thursday, 04 January 2018, 19:52 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Balló György (City-busz)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 3
Private No

Details

Description:
Can't launch gnome-subtitles with Enchant 2.1.2-2.

'Unhandled Exception:
System.DllNotFoundException: libenchant.so.1
at (wrapper managed-to-native) GnomeSubtitles.Core.SpellLanguages:enchant_broker_init ()
at GnomeSubtitles.Core.SpellLanguages.FillLanguages () [0x00000] in <7766a53a88574a59bd61644fddd85128>:0
at GnomeSubtitles.Core.SpellLanguages.GetAvailableLanguages () [0x00011] in <7766a53a88574a59bd61644fddd85128>:0
at GnomeSubtitles.Core.SpellLanguages..ctor () [0x00050] in <7766a53a88574a59bd61644fddd85128>:0
at GnomeSubtitles.Core.Base.Init (GnomeSubtitles.Execution.ExecutionContext newExecutionContext) [0x0007a] in <7766a53a88574a59bd61644fddd85128>:0
at GnomeSubtitles.Core.Base.Run (GnomeSubtitles.Execution.ExecutionContext executionContext) [0x00000] in <7766a53a88574a59bd61644fddd85128>:0
at GnomeSubtitles.Execution.Executable.Main (System.String[] args) [0x0003f] in <7766a53a88574a59bd61644fddd85128>:0
[ERROR] FATAL UNHANDLED EXCEPTION: System.DllNotFoundException: libenchant.so.1
at (wrapper managed-to-native) GnomeSubtitles.Core.SpellLanguages:enchant_broker_init ()
at GnomeSubtitles.Core.SpellLanguages.FillLanguages () [0x00000] in <7766a53a88574a59bd61644fddd85128>:0
at GnomeSubtitles.Core.SpellLanguages.GetAvailableLanguages () [0x00011] in <7766a53a88574a59bd61644fddd85128>:0
at GnomeSubtitles.Core.SpellLanguages..ctor () [0x00050] in <7766a53a88574a59bd61644fddd85128>:0
at GnomeSubtitles.Core.Base.Init (GnomeSubtitles.Execution.ExecutionContext newExecutionContext) [0x0007a] in <7766a53a88574a59bd61644fddd85128>:0
at GnomeSubtitles.Core.Base.Run (GnomeSubtitles.Execution.ExecutionContext executionContext) [0x00000] in <7766a53a88574a59bd61644fddd85128>:0
at GnomeSubtitles.Execution.Executable.Main (System.String[] args) [0x0003f] in <7766a53a88574a59bd61644fddd85128>:0'


Additional info:
package Enchant version(s) 2.1.2-2
If I downgrade to enchant 1.6.1-2 , problem disappears

Steps to reproduce:
Launch gnome-subtitles in a console.
Nothing happens, only error message.
After downgrading Enchant, gnome-subtitles works normally
This task depends upon

Closed by  Balló György (City-busz)
Thursday, 04 January 2018, 19:52 GMT
Reason for closing:  Fixed
Additional comments about closing:  gnome-subtitles 1.3-4
Comment by maderios (maderios) - Tuesday, 05 December 2017, 12:46 GMT Comment by maderios (maderios) - Tuesday, 05 December 2017, 13:46 GMT
Well...
"This is not a bug. Enchant 2.1.2 is not ABI-compatible with 1.6.x (the clue is in the major version number bump!)."
https://github.com/AbiWord/enchant/issues/166
Comment by Eli Schwartz (eschwartz) - Tuesday, 05 December 2017, 14:18 GMT
  • Field changed: Summary (Can't launch gnome-subtitles with Enchant 2.1.2-2 → [gnome-subtitles] Can't launch with Enchant 2.1.2-2)
Well, that's hardly surprising, since the bug is that gnome-subtitles wasn't rebuilt against the new enchant version...

Regardless of which, why *on earth* would you think that gnome-subtitles not working is a bug in enchant??? enchant, which works fine with all the other things that depend on it... If you genuinely thought this was an upstream bug, I would expect you to report it against gnome-subtitles...
Comment by maderios (maderios) - Tuesday, 05 December 2017, 15:07 GMT
Very few users make effort to report bugs, please don't complain about these users. Thanks in advance... :)
Comment by Benjamin Abel (benjaminabel) - Wednesday, 03 January 2018, 20:57 GMT
Downgrading enchant solved the problem for me too, if your cache hasn't been deeted, run:

pacman -U /var/cache/pacman/pkg/enchant-1.6.1-2-x86_64.pkg.tar.xz
Comment by maderios (maderios) - Thursday, 04 January 2018, 12:06 GMT
I rebuilt gnome-subtitles with enchant-2.1.2-3, bug is still there. Bug disappears after downgrading enchant.
Comment by maderios (maderios) - Thursday, 04 January 2018, 12:55 GMT
enchant 2.1.x package is out of date.
I hope the 2.2.1 solve crash problem.
https://github.com/AbiWord/enchant/blob/master/NEWS

Loading...